#include "CUDABilateralImageFilterPluginFactory.h"
#include "CUDABilateralImageFilterPlugin.h"

#include <QtPlugin>

CUDABilateralImageFilterPluginFactory::CUDABilateralImageFilterPluginFactory()
{
}

CUDABilateralImageFilterPluginFactory::~CUDABilateralImageFilterPluginFactory()
{
}

ritk::FilterPlugin*
CUDABilateralImageFilterPluginFactory::CreateInstance()
{
	return new CUDABilateralImageFilterPlugin();
}

QString
CUDABilateralImageFilterPluginFactory::GetName()
{
	return tr("CUDABilateralFilter");
}

QString
CUDABilateralImageFilterPluginFactory::GetDescription()
{
	return tr("Bilateral filtering using CUDA");
}


Q_EXPORT_PLUGIN2(CUDABilateralFilter, CUDABilateralImageFilterPluginFactory)

